curl --request GET \
--url https://api.prd.rad.security/accounts/{account_id}/identities \
--header 'Authorization: <api-key>'import requests
url = "https://api.prd.rad.security/accounts/{account_id}/identities"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.prd.rad.security/accounts/{account_id}/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"account_id": "<string>",
"actions": [
"<string>"
],
"created_at": "<string>",
"deleted_at": "<string>",
"id": "<string>",
"last_used_at": "<string>",
"linked_resources": 123,
"name": "<string>",
"namespace": "<string>",
"original_id": "<string>",
"raw_rbac_objects": {
"cluster_role_bindings": [
{
"annotations": {},
"apiVersion": "<string>",
"creationTimestamp": "<string>",
"deletionGracePeriodSeconds": 123,
"deletionTimestamp": "<string>",
"finalizers": [
"<string>"
],
"generateName": "<string>",
"generation": 123,
"kind": "<string>",
"labels": {},
"managedFields": [
{
"apiVersion": "<string>",
"fieldsType": "<string>",
"fieldsV1": {},
"manager": "<string>",
"operation": "<string>",
"subresource": "<string>",
"time": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"ownerReferences": [
{
"apiVersion": "<string>",
"blockOwnerDeletion": true,
"controller": true,
"kind": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"resourceVersion": "<string>",
"roleRef": {
"apiGroup": "<string>",
"kind": "<string>",
"name": "<string>"
},
"selfLink": "<string>",
"subjects": [
{
"apiGroup": "<string>",
"kind": "<string>",
"name": "<string>",
"namespace": "<string>"
}
],
"uid": "<string>"
}
],
"cluster_roles": [
{
"aggregationRule": {
"clusterRoleSelectors": [
{
"matchExpressions": [
{
"key": "<string>",
"operator": "<string>",
"values": [
"<string>"
]
}
],
"matchLabels": {}
}
]
},
"annotations": {},
"apiVersion": "<string>",
"creationTimestamp": "<string>",
"deletionGracePeriodSeconds": 123,
"deletionTimestamp": "<string>",
"finalizers": [
"<string>"
],
"generateName": "<string>",
"generation": 123,
"kind": "<string>",
"labels": {},
"managedFields": [
{
"apiVersion": "<string>",
"fieldsType": "<string>",
"fieldsV1": {},
"manager": "<string>",
"operation": "<string>",
"subresource": "<string>",
"time": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"ownerReferences": [
{
"apiVersion": "<string>",
"blockOwnerDeletion": true,
"controller": true,
"kind": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"resourceVersion": "<string>",
"rules": [
{
"apiGroups": [
"<string>"
],
"nonResourceURLs": [
"<string>"
],
"resourceNames": [
"<string>"
],
"resources": [
"<string>"
],
"verbs": [
"<string>"
]
}
],
"selfLink": "<string>",
"uid": "<string>"
}
],
"role_bindings": [
{
"annotations": {},
"apiVersion": "<string>",
"creationTimestamp": "<string>",
"deletionGracePeriodSeconds": 123,
"deletionTimestamp": "<string>",
"finalizers": [
"<string>"
],
"generateName": "<string>",
"generation": 123,
"kind": "<string>",
"labels": {},
"managedFields": [
{
"apiVersion": "<string>",
"fieldsType": "<string>",
"fieldsV1": {},
"manager": "<string>",
"operation": "<string>",
"subresource": "<string>",
"time": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"ownerReferences": [
{
"apiVersion": "<string>",
"blockOwnerDeletion": true,
"controller": true,
"kind": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"resourceVersion": "<string>",
"roleRef": {
"apiGroup": "<string>",
"kind": "<string>",
"name": "<string>"
},
"selfLink": "<string>",
"subjects": [
{
"apiGroup": "<string>",
"kind": "<string>",
"name": "<string>",
"namespace": "<string>"
}
],
"uid": "<string>"
}
],
"roles": [
{
"annotations": {},
"apiVersion": "<string>",
"creationTimestamp": "<string>",
"deletionGracePeriodSeconds": 123,
"deletionTimestamp": "<string>",
"finalizers": [
"<string>"
],
"generateName": "<string>",
"generation": 123,
"kind": "<string>",
"labels": {},
"managedFields": [
{
"apiVersion": "<string>",
"fieldsType": "<string>",
"fieldsV1": {},
"manager": "<string>",
"operation": "<string>",
"subresource": "<string>",
"time": "<string>"
}
],
"name": "<string>",
"namespace": "<string>",
"ownerReferences": [
{
"apiVersion": "<string>",
"blockOwnerDeletion": true,
"controller": true,
"kind": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"resourceVersion": "<string>",
"rules": [
{
"apiGroups": [
"<string>"
],
"nonResourceURLs": [
"<string>"
],
"resourceNames": [
"<string>"
],
"resources": [
"<string>"
],
"verbs": [
"<string>"
]
}
],
"selfLink": "<string>",
"uid": "<string>"
}
]
},
"rbac_objects": {
"assigned_roles": [
{
"kind": "<string>",
"name": "<string>",
"namespace": "<string>",
"uid": "<string>",
"account_id": "<string>",
"cluster_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"graph": {
"edges": [
{
"from_id": "<string>",
"id": "<string>",
"to_id": "<string>",
"type": "<string>"
}
],
"nodes": [
{
"id": "<string>",
"properties": {},
"type": "<string>"
}
]
},
"permissions": [
{
"api_groups": [
"<string>"
],
"namespace": "<string>",
"resource_names": [
"<string>"
],
"resources": [
"<string>"
],
"verbs": [
"<string>"
]
}
]
},
"resolved_at": "<string>",
"resolved_reason": "<string>",
"rightsizeable": true,
"risk_detectors": {},
"risk_score": 123,
"risk_types": [
"<string>"
],
"risks": [
{
"associated_resources": [
{
"id": "<string>",
"name": "<string>",
"severity": "<string>"
}
],
"deleted_at": "<string>",
"description": "<string>",
"fingerprint": "<string>",
"first_detected_at": "<string>",
"id": "<string>",
"identity_id": "<string>",
"last_detected_at": "<string>",
"name": "<string>",
"risk_counter": 123,
"score": 123,
"type": "<string>",
"weight": 123
}
],
"risks_summary": {
"risks": [
{
"count": 123,
"normalized_weight": 123,
"score": 123,
"type": "<string>",
"weight": 123
}
],
"total_risk_score": 123,
"total_weight": 123
},
"source_id": "<string>",
"source_name": "<string>",
"source_type": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"page": 123,
"page_count": 123,
"page_size": 123,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}List Identities
List Identities
Authorizations
Path Parameters
Account id
Query Parameters
From created_at timestamp in RFC3339 or relative time format i.e. now-15m
From last_used_at timestamp in RFC3339 or relative time i.e. now-15m
Page number starting from 1
Page size. Default: 20
Search query
List of resource ids to filter by, comma separated
List of risks to filter by, comma separated
List of usages to filter by, comma separated
List of risk levels to filter by, comma separated
List of identity types to filter by, comma separated
List of identity sources to filter by, comma separated
List of actions to filter by, comma separated
Sort by field. Default: risk_score:desc
List of statuses to filter by, comma separated
To created_at timestamp in RFC3339 or relative time format i.e. now-15m
To last_used_at timestamp in RFC3339 or relative time format i.e. now-15m